Bug 232174 - New port: japanese/sourcehansans-otf Japanese font by Adobe designed for user interfaces
Summary: New port: japanese/sourcehansans-otf Japanese font by Adobe designed for user...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://reviews.freebsd.org/D19539
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-11 10:31 UTC by Hyun Hwang
Modified: 2019-03-13 16:23 UTC (History)
1 user (show)

See Also:


Attachments
japanese_sourcehansans-otf.shar (4.68 KB, text/plain)
2018-10-11 10:31 UTC, Hyun Hwang
no flags Details
japanese_sourcehansans-otf.shar (4.70 KB, text/plain)
2018-10-19 22:30 UTC, Hyun Hwang
no flags Details
japanese_sourcehansans-otf.shar (4.70 KB, text/plain)
2018-11-29 00:59 UTC, Hyun Hwang
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hyun Hwang 2018-10-11 10:31:15 UTC
Created attachment 198035 [details]
japanese_sourcehansans-otf.shar

Second of the Source Han Sans family. Passed `portlint -A`.
Comment 1 Hyun Hwang 2018-10-19 22:30:06 UTC
Created attachment 198389 [details]
japanese_sourcehansans-otf.shar

Address minor issues found following the Chinese variants.
Comment 2 Hyun Hwang 2018-11-29 00:59:23 UTC
Created attachment 199651 [details]
japanese_sourcehansans-otf.shar

Upstream updated to 2.000 on November 19.
Comment 3 commit-hook freebsd_committer 2019-03-13 16:22:58 UTC
A commit references this bug:

Author: kai
Date: Wed Mar 13 16:22:12 UTC 2019
New revision: 495610
URL: https://svnweb.freebsd.org/changeset/ports/495610

Log:
  New port: japanese/sourcehansans-otf

  Source Han Sans: A new open source Pan-CJK typeface family from Adobe

  This is Source Han Sans (JP), which supports all four variants in this family
  but prioritizes Japanese Kanji over other three.

  "Source Han Sans, available in seven weights, is a typeface family which
  provides full support for Japanese, Korean, Traditional Chinese, and Simplified
  Chinese, all in one font. It also includes Latin, Greek, and Cyrillic glyphs
  from our popular Source Sans family. All told, each font weight in the family
  has a total of 65,535 glyphs (the maximum supported in the OpenType format), and
  the entire family rounds out at just under half a million total glyphs."
  --- The Typekit Blog, Adobe

  WWW: https://github.com/adobe-fonts/source-han-sans

  PR:		232174
  Submitted by:	Hyun Hwang <hyun@caffeinated.codes>
  Approved by:	miwi (mentor)
  Differential Revision:	https://reviews.freebsd.org/D19539

Changes:
  head/japanese/Makefile
  head/japanese/sourcehansans-otf/
  head/japanese/sourcehansans-otf/Makefile
  head/japanese/sourcehansans-otf/distinfo
  head/japanese/sourcehansans-otf/files/
  head/japanese/sourcehansans-otf/files/pkg-message.in
  head/japanese/sourcehansans-otf/pkg-descr
  head/japanese/sourcehansans-otf/pkg-plist
Comment 4 Kai Knoblich freebsd_committer 2019-03-13 16:23:42 UTC
Committed, thank you for your contribution!